View Issue Details

IDProjectCategoryView StatusLast Update
0003544Ham Radio DeluxeBugpublic2019-11-08 02:32
ReporterWA9PIEAssigned ToK7ZCZ 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003544: QRZ.com Subscription, the Callsign Lookup does not correctly assign HRDCountry
DescriptionThe cross-referencing for DXCC to the country list for Enabled Methods is not gathering the HRDCountry values correctly.
Steps To Reproduce1 - Launch Rig Control
2 - Launch Logbook
3 - Go to Tools > Configure > Callsign Lookup... Enable tab
4 - Add only QRZ.com Subscription
resulting order is UCSDB (Public), UCSDB (Private), QRZ.com Subscription, Country List
5 - Press "Apply"
6 - Click the "Test" tab
7 - Enter "KH0A" (without quotes) and click "Lookup"
8 - Observe the results where the QRZ row does not populate HRD Country Number correctly...

It shows 166 and it should be 291.
As a result, the "distilled results" incorrectly show "166" rather than "291"
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

related to 0003464 closedWA9PIE Some fields missing from QRZ.com call sign lookup 

Activities

WA9PIE

2019-11-04 03:59

administrator  

K7ZCZ

2019-11-04 22:03

administrator   ~0009136

With this checkin, the QRZ lookup code gets the DXCC from QRZ.com. It uses the DXCC number returned from QRZ.com to get a country name from the application's country list. The country name is added to the result set. The name is used to look up the continent name and the HRD Country Number from the country list. Those results are also added to the result set.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5266

WA9PIE

2019-11-05 20:23

administrator   ~0009144

Validated

Issue History

Date Modified Username Field Change
2019-11-04 03:59 WA9PIE New Issue
2019-11-04 03:59 WA9PIE Status new => assigned
2019-11-04 03:59 WA9PIE Assigned To => K7ZCZ
2019-11-04 03:59 WA9PIE File Added: KH0A (QRZ Subscription).png
2019-11-04 04:00 WA9PIE Issue cloned: 0003545
2019-11-04 04:02 WA9PIE Summary For any "Enabled Method", the Callsign Lookup does not correctly assign DXCC, Country, Continent, and HRDCountry (QRZ.com XML) => For any "Enabled Method", the Callsign Lookup does not correctly assign HRDCountry (QRZ.com XML)
2019-11-04 04:02 WA9PIE Steps to Reproduce Updated View Revisions
2019-11-04 04:09 WA9PIE Summary For any "Enabled Method", the Callsign Lookup does not correctly assign HRDCountry (QRZ.com XML) => QRZ.com Subscription, the Callsign Lookup does not correctly assign HRDCountry
2019-11-04 04:13 WA9PIE Steps to Reproduce Updated View Revisions
2019-11-04 04:21 WA9PIE Issue cloned: 0003547
2019-11-04 04:26 WA9PIE Issue cloned: 0003548
2019-11-04 04:31 WA9PIE Description Updated View Revisions
2019-11-04 04:59 WA9PIE Priority normal => high
2019-11-04 05:00 WA9PIE Severity minor => major
2019-11-04 22:03 K7ZCZ Status assigned => resolved
2019-11-04 22:03 K7ZCZ Resolution open => fixed
2019-11-04 22:03 K7ZCZ Note Added: 0009136
2019-11-04 22:06 K7ZCZ Relationship added related to 0003464
2019-11-05 20:19 K7ZCZ Fixed in Version => 6.7.0.242
2019-11-05 20:23 WA9PIE Status resolved => closed
2019-11-05 20:23 WA9PIE Testing Not Started => Beta Successful
2019-11-05 20:23 WA9PIE Note Added: 0009144
2019-11-08 02:08 WA9PIE Fixed in Version 6.7.0.242 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe